package com.fjhx.client;

import com.fjhx.entity.ConnectConfig;
import lombok.Getter;

/**
 * 链接抽象工厂
 */
@Getter
public abstract class ClientAbstract {

    protected ConnectConfig connectConfig;

    public ClientAbstract(ConnectConfig connectConfig) {
        this.connectConfig = connectConfig;
    }

    /**
     * 开启链接
     */
    public abstract void connect();

    /**
     * 读取数据
     */
    public abstract Object readData();

}
