package com.fjhx.entity;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

import java.io.Serializable;

@Data
public class ConnectConfig implements Serializable {

    /**
     * 设备编号
     */
    private String equipmentNo;

    /**
     * 设备ip地址
     */
    private String ipAddress;

    /**
     * 设备端口号
     */
    private Integer port;

    /**
     * 设备类型
     */
    private Integer type;

    /**
     * 其他配置
     */
    private JSONObject other;

}
