package com.fjhx.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ConfigEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 调试模式
     */
    private Integer debug;

    /**
     * 服务ip
     */
    private String serverIp;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 密钥
     */
    private String secret;

    /**
     * 设备配置
     */
    private List<ConnectConfig> connectConfigList;

    /**
     * 组态软件url
     */
    private String configurationUrl;

    /**
     * 组态软件账号
     */
    private String configurationUsername;

    /**
     * 组态软件密码
     */
    private String configurationPassword;

    /**
     * 组态软件工程名称
     */
    private String configurationProjectInstanceName;

    /**
     * 组态软件设备名称列表
     */
    private List<String> configurationDeviceNameList;

}
