package com.fjhx.entity.agreement.data;

import cn.hutool.core.convert.Convert;
import lombok.Data;

import java.util.List;

@Data
public class ModBusTcpData {

    /**
     * 0x
     */
    List<Boolean> coils;

    /**
     * 1x
     */
    List<Boolean> discreteInputs;

    /**
     * 3x
     */
    List<Integer> inputRegisters;

    /**
     * 4x
     */
    List<Integer> holdingRegisters;

    public void setCoils(boolean[] coils) {
        this.coils = Convert.toList(Boolean.class, coils);
    }

    public void setDiscreteInputs(boolean[] discreteInputs) {
        this.discreteInputs = Convert.toList(Boolean.class, discreteInputs);
    }

    public void setInputRegisters(int[] inputRegisters) {
        this.inputRegisters = Convert.toList(Integer.class, inputRegisters);
    }

    public void setHoldingRegisters(int[] holdingRegisters) {
        this.holdingRegisters = Convert.toList(Integer.class, holdingRegisters);
    }

}
